local S = minetest.get_translator("basic_materials")

--Coal
minetest.register_craftitem("basic_minerals:coal",
	{
		description = S("Coal"),
		inventory_image = "basic_minerals_coal.png",
		stack_max = 128,
	})
minetest.register_alias("coal", "basic_minerals:coal")


--Iron with ingot
minetest.register_craftitem("basic_minerals:iron",
	{
		description = S("Iron"),
		inventory_image = "basic_minerals_iron.png",
		stack_max = 128,
	})
minetest.register_alias("iron", "basic_minerals:iron")

minetest.register_craftitem("basic_minerals:iron_ingot",
	{
		description = S("Iron Ingot"),
		inventory_image = "basic_minerals_iron_ingot.png",
		stack_max = 128,
	})
minetest.register_alias("iron_ingot", "basic_minerals:iron_ingot")

minetest.register_craft(
	{
		type = "cooking",
		output = minetest.registered_aliases["iron_ingot"],
		recipe = minetest.registered_aliases["iron"],
		cooktime = 3,
	})




--Gold with ingot
minetest.register_craftitem("basic_minerals:gold",
	{
		description = S("Gold"),
		inventory_image = "basic_minerals_gold.png",
		stack_max = 128,
	})
minetest.register_alias("gold", "basic_minerals:gold")

minetest.register_craftitem("basic_minerals:gold_ingot",
	{
		description = S("Gold Ingot"),
		inventory_image = "basic_minerals_gold_ingot.png",
		stack_max = 128,
	})
minetest.register_alias("gold_ingot", "basic_minerals:gold_ingot")

minetest.register_craft(
	{
		type = "cooking",
		output = minetest.registered_aliases["gold_ingot"],
		recipe = minetest.registered_aliases["gold"],
		cooktime = 5,
	})


--Diamond
minetest.register_craftitem("basic_minerals:diamond",
	{
		description = S("Diamond"),
		inventory_image = "basic_minerals_diamond.png",
		stack_max = 128,
	})
minetest.register_alias("diamond", "basic_minerals:diamond")
